/**
 * Recursively flatten an array or arrays.
 *
 * @param {array} array
 * @return {array}
 *
 * @example
 * var sla = require('s-lib-array');
 *
 * sla.flatten(['a', ['b', ['c']], 'd', ['e'], [[['f'], ['g']], 'h'], 'i']);
 * //=> ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i']
 */
module.exports = function(array) {
  return require('arr-flatten')(array);
};
